<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Payment;

final class CashOnDeliveryModuleNamesProvider implements CashOnDeliveryModuleNamesProviderInterface
{
    private $codModuleNames;

    /**
     * @param string[] $cashOnDeliveryModuleNames
     */
    public function __construct(array $cashOnDeliveryModuleNames)
    {
        $this->codModuleNames = $cashOnDeliveryModuleNames;
    }

    public function getModuleNames(): array
    {
        return $this->codModuleNames;
    }
}
